<template>
  <div class="app-container">
    previous
  </div>
</template>
<script>
import * as previous_api from '@/api/data/previous'
export default {
  data() {
    return {
      searchParams: {
        page_index: 1,
        page_size: 10,
        search_name: ''
      }
    }
  },
  created() {
    this.getPreviousList()
  },
  methods: {
    getPreviousList() {
      const loading = this.$loading()
      previous_api.getPreviousList(this.searchParams).then(res => {
        loading.close()
        if (res.code === 200) {
          console.log(res)
        } else {
          this.$message.error(res.message || '获取历届活动失败')
        }
      }).catch(e => {
        loading.close()
        this.$message.error('获取历届活动失败')
      })
    }
  }
}
</script>
